<?xml version="1.0" encoding="utf-8"?>
<Project>
  <Import Project="Sdk.props" Sdk="Microsoft.NET.Sdk" />
  <PropertyGroup>
    <Version>1.0.0</Version>
    <AssemblyName>uMod.Tests</AssemblyName>
    <Authors>uMod Project Team and Contributors</Authors>
    <Copyright>(c) 2013-$([System.DateTime]::Now.Year) $(Authors)</Copyright>
    <Description>Testing module for the uMod database client</Description>
    <RepositoryUrl>https://gitlab.com/umod/core/database</RepositoryUrl>
    <TargetFramework>net6.0</TargetFramework>
    <IsPackable>false</IsPackable>
    <NoWarn>NU1701</NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="MSTest.TestAdapter" Version="2.2.3" />
    <PackageReference Include="MSTest.TestFramework" Version="2.2.3" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.9.4" />
    <PackageReference Include="Websocket.Client" Version="4.4.43" />
    <Compile Remove="MockPlugins\**" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\src\uMod.WebSockets.csproj" />
  </ItemGroup>
  <Import Project="Sdk.targets" Sdk="Microsoft.NET.Sdk" />
</Project>
